import os
import sys
import imp
import multiprocessing
from setuptools import setup, find_packages

version = imp.load_source('version', os.path.join('flask_appbuilder', 'version.py'))


def fpath(name):
    return os.path.join(os.path.dirname(__file__), name)


def read(fname):
    return open(fpath(fname)).read()


def desc():
    return read('README.rst')


setup(
    name='KATO-SAAS',
    version=version.VERSION_STRING,
    url='https://git.clicklabs.in/ClickLabs/Kato-flaskappbuilder',
    license='BSD',
    author='Aman Kaushik',
    author_email='kaushik.aman04@gmail.com',
    description='Custom module build on top of flask app builder for internal use.',
    long_description=desc(),
    packages=find_packages(),
    package_data={'': ['LICENSE']},
    entry_points={'console_scripts': [
        'fabmanager = flask_appbuilder.console:cli',
    ]},
    include_package_data=True,
    zip_safe=False,
    platforms='any',
    install_requires=[
        'colorama==0.3.9',
        'click==6.7',
        'Flask>=0.12.1,<0.12.99',
        'Flask-Babel==0.11.1',
        'Flask-Login==0.2.11',
        'Flask-OpenID==1.2.5',
        'Flask-SQLAlchemy==2.1',
        'Flask-WTF==0.14.2',
    ],
    tests_require=[
        'nose>=1.0',
    ],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'
    ],
    test_suite='nose.collector'
)
